Summary: Generic Security Services Application Programming Interface Library
Name: libgssapi
Version: 0.11
Release: 4%{?dist}
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: BSD and MIT
Source0: http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/libgssapi-0.11.tar.gz
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
PreReq: krb5-libs >= 1.5

%description
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

%package devel
Summary: Development files for the gssapi library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

Patch0: libgssapi-0.7-gssapi_mech.patch

%description devel
This package includes header files and libraries necessary for
developing programs which use the gssapi library.

%prep
%setup -q
%patch0 -p1

%configure --prefix=%{buildroot}
# Get rid of rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%build
make all 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc
%makeinstall
install -m 644 doc/gssapi_mech.conf %{buildroot}/etc/gssapi_mech.conf
sed -i "s|${RPM_BUILD_ROOT}||g" $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libgssapi.pc


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgssapi.so.*
%{_libdir}/libgssapi.la
%config(noreplace) /etc/gssapi_mech.conf

%files devel
%defattr(0644,root,root,755)
%{_libdir}/libgssapi.so
%{_libdir}/libgssapi.a
%dir %{_includedir}/gssglue
%dir %{_includedir}/gssglue/gssapi
%{_includedir}/gssglue/gssapi/gssapi.h
%{_libdir}/pkgconfig/libgssapi.pc

%changelog
* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.11-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.11-2
- Rebuild for selinux ppc32 issue.

* Wed May  9 2007 Steve Dickson <steved@redhat.com> - 0.11-1
- Updated to latest upstream version

* Mon Mar 26 2007 Steve Dickson <steved@redhat.com> - 0.10-3
- Fixed Unowned Directory RPM problem (bz 233863)

* Fri Mar  9 2007 Steve Dickson <steved@redhat.com> - 0.10-2
- Fixed file confliction with the i386 and x86 devel packages (bz 192708)

* Fri Aug  4 2006 Steve Dickson <steved@redhat.com> - 0.10-1
- Upgraded to libgssapi version 0.10 which is need for
  compatibility with krb5-libs 1.5.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.1
- rebuild

* Tue Jun 20 2006 Steve Dickson <steved@redhat.com>  0.9-2
- rebuilt for FC6 release

* Thu Jun  8 2006 Steve Dickson <steved@redhat.com>  0.9-1
- Upgraded to 0.9-1 

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.7-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 6 2006 Steve Dickson <steved@redhat.com>  0.7-1
- Initial commit
